netCDF Namespace Reference

C++ API for netCDF4. More...

## Namespaces

namespace | exceptions
| Exception classes.

## Classes

class | NcAtt
class | NcByte
class | NcChar
class | NcCompoundType
class | NcDim
class | NcDouble
class | NcEnumType
class | NcFile
class | NcFloat
class | NcGroup
class | NcGroupAtt
class | NcInt
class | NcInt64
class | NcOpaqueType
class | NcShort
class | NcString
class | NcType
class | NcUbyte
class | NcUint
class | NcUint64
class | NcUshort
class | NcVar
class | NcVarAtt
class | NcVlenType

## Functions

void | ncCheck (int retCode, const char *file, int line)
void | ncCheckDataMode (int ncid)
void | ncCheckDefineMode (int ncid)
bool | operator< (const NcDim &lhs, const NcDim &rhs)
bool | operator< (const NcGroup &lhs, const NcGroup &rhs)
bool | operator< (const NcGroupAtt &lhs, const NcGroupAtt &rhs)
bool | operator< (const NcType &lhs, const NcType &rhs)
bool | operator< (const NcVar &lhs, const NcVar &rhs)
bool | operator< (const NcVarAtt &lhs, const NcVarAtt &rhs)
bool | operator> (const NcDim &lhs, const NcDim &rhs)
bool | operator> (const NcGroup &lhs, const NcGroup &rhs)
bool | operator> (const NcGroupAtt &lhs, const NcGroupAtt &rhs)
bool | operator> (const NcType &lhs, const NcType &rhs)
bool | operator> (const NcVar &lhs, const NcVar &rhs)
bool | operator> (const NcVarAtt &lhs, const NcVarAtt &rhs)

## Variables

NcByte | ncByte
NcChar | ncChar
NcDouble | ncDouble
NcFloat | ncFloat
NcInt | ncInt
NcInt64 | ncInt64
NcShort | ncShort
NcString | ncString
NcUbyte | ncUbyte
NcUint | ncUint
NcUint64 | ncUint64

## Detailed Description

C++ API for netCDF4.

## Function Documentation

## ncCheck()

void netCDF::ncCheck | ( | int | retCode,
|  | const char * | file,
|  | int | line )

Function checks error code and if necessary throws an exception.

Parameters

  retCode | Integer value returned by netCDF C-routines.
  file | The name of the file from which this call originates.
  line | The line number in the file from which this call originates.

## ncCheckDataMode()

void netCDF::ncCheckDataMode | ( | int | ncid | ) |

Function checks if the file (group) is in data mode. If not, it places it in the data mode. While this is automatically done by the underlying C API for netCDF-4 files, the netCDF-3 files still need this call.

## ncCheckDefineMode()

void netCDF::ncCheckDefineMode | ( | int | ncid | ) |

Function checks if the file (group) is in define mode. If not, it places it in the define mode. While this is automatically done by the underlying C API for netCDF-4 files, the netCDF-3 files still need this call.

## operator<() [1/6]

bool netCDF::operator< | ( | const NcDim & | lhs,
|  | const NcDim & | rhs )

comparator operator

## operator<() [2/6]

bool netCDF::operator< | ( | const NcGroup & | lhs,
|  | const NcGroup & | rhs )

comparator operator

## operator<() [3/6]

bool netCDF::operator< | ( | const NcGroupAtt & | lhs,
|  | const NcGroupAtt & | rhs )

comparator operator

## operator<() [4/6]

bool netCDF::operator< | ( | const NcType & | lhs,
|  | const NcType & | rhs )

comparator operator

## operator<() [5/6]

bool netCDF::operator< | ( | const NcVar & | lhs,
|  | const NcVar & | rhs )

comparator operator

## operator<() [6/6]

bool netCDF::operator< | ( | const NcVarAtt & | lhs,
|  | const NcVarAtt & | rhs )

comparator operator

## operator>() [1/6]

bool netCDF::operator> | ( | const NcDim & | lhs,
|  | const NcDim & | rhs )

comparator operator

## operator>() [2/6]

bool netCDF::operator> | ( | const NcGroup & | lhs,
|  | const NcGroup & | rhs )

comparator operator

## operator>() [3/6]

bool netCDF::operator> | ( | const NcGroupAtt & | lhs,
|  | const NcGroupAtt & | rhs )

comparator operator

## operator>() [4/6]

bool netCDF::operator> | ( | const NcType & | lhs,
|  | const NcType & | rhs )

comparator operator

## operator>() [5/6]

bool netCDF::operator> | ( | const NcVar & | lhs,
|  | const NcVar & | rhs )

comparator operator

## operator>() [6/6]

bool netCDF::operator> | ( | const NcVarAtt & | lhs,
|  | const NcVarAtt & | rhs )

comparator operator

## Variable Documentation

## ncByte

NcByte netCDF::ncByte

A global instance of the NcByte class within the netCDF namespace.

## ncChar

NcChar netCDF::ncChar

A global instance of the NcChar class within the netCDF namespace.

## ncDouble

NcDouble netCDF::ncDouble

A global instance of the NcDouble class within the netCDF namespace.

## ncFloat

NcFloat netCDF::ncFloat

A global instance of the NcFloat class within the netCDF namespace.

## ncInt

NcInt netCDF::ncInt

A global instance of the NcInt class within the netCDF namespace.

## ncInt64

NcInt64 netCDF::ncInt64

A global instance of the NcInt64 class within the netCDF namespace.

## ncShort

NcShort netCDF::ncShort

A global instance of the NcShort class within the netCDF namespace.

## ncString

NcString netCDF::ncString

A global instance of the NcString class within the netCDF namespace.

## ncUbyte

NcUbyte netCDF::ncUbyte

A global instance of the NcUbyte class within the netCDF namespace.

## ncUint

NcUint netCDF::ncUint

A global instance of the NcUint class within the netCDF namespace.

## ncUint64

NcUint64 netCDF::ncUint64

A global instance of the NcUint64 class within the netCDF namespace.